pub mod registry;
pub mod docker;

/// query args
pub struct QueryArgs {
    pub repository: Option<String>,
    pub name: Option<String>,
    pub arch: Option<String>,
}

pub trait DockerTags {
    /// query tags
    fn get_tags(&self, args: &QueryArgs) -> Vec<String>;
}